Bug 732772 - [vdsm] vdsClient - getIsoList returns noneType in case there is no ISO domain in pool
Summary: [vdsm] vdsClient - getIsoList returns noneType in case there is no ISO domain...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: ---
Assignee: Haim
QA Contact: Dafna Ron
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 14:39 UTC by Haim
Modified: 2014-01-13 00:50 UTC (History)
8 users (show)

Fixed In Version: vdsm-4.9-112.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-17 07:49:34 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Haim 2011-08-23 14:39:25 UTC
Description of problem:

running vdsClient command: vdsClient -s 0 getIsoList <spUUId> returns with python noneType error in logs. 

Thread-488::ERROR::2011-08-23 17:19:36,218::task::864::TaskManager.Task::(_setError) Task=`a47f1676-372a-4966
-a5c8-09cbf02289dc`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 872, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/storage/hsm.py", line 1029, in public_getIsoList
    raise se.GetIsoListError(isoDom.sdUUID)
AttributeError: 'NoneType' object has no attribute 'sdUUID'

Thread-488::ERROR::2011-08-23 17:19:36,251::dispatcher::107::Storage.Dispatcher.Protect::(run) Traceback (mos
t recent call last):
  File "/usr/share/vdsm/storage/dispatcher.py", line 96, in run
    result = ctask.prepare(self.func, *args, **kwargs)
  File "/usr/share/vdsm/storage/task.py", line 1183, in prepare
    raise self.error
AttributeError: 'NoneType' object has no attribute 'sdUUID'

Comment 2 Haim 2011-08-23 15:40:24 UTC
 http://gerrit.usersys.redhat.com/849

Comment 3 Haim 2012-01-25 07:07:53 UTC
[root@nott-vds1 ~]# vdsClient -s 0 getIsoList 
Error using command: list index out of range 

getIsoList
	<spUUID>
	Returns list of all .iso images in ISO domain

vdsm-4.9-112.5.el6_2.x86_64


Note You need to log in before you can comment on or make changes to this bug.